// 搜索配置
const searchModelJson = [];
// 页面操作按钮配置
const fucDataJson = [
  {
    name: "导出",
    type: "danger",
    icon: "el-icon-position",
  },
];
// 表头配置
const tableColumnJson = [
  {
    label: "状态",
    prop: "billStateName",
    tooltip: true,
    sortable: true,
    width: '75',
  },
  {
    label: "合同号码",
    prop: "contractCode",
    tooltip: true,
    width: '135',
    other: {
      color: "#4C9CFF",
      isClick: true,
    },
  },
  {
    label: "项目编号",
    prop: "projectCode",
    tooltip: true,
    width: '75',
  },
  {
    label: "合同版本",
    prop: "versionNo",
    tooltip: true,
    width: '75',
  },
  {
    label: "合同类型",
    prop: "conTypename",
    tooltip: true,
    width: 75,
  },
  {
    label: "合同名称",
    prop: "conName",
    tooltip: true,
    width: 100,
    align: "left",
  },
  {
    label: "所属部门",
    prop: "organName",
    tooltip: true,
    width: 120,
    align: "left",
  },
  {
    label: "业务员",
    prop: "p_PersonName",
    tooltip: true,
    width: 70,
  },
  {
    label: "对外签订单位",
    prop: "companyName",
    tooltip: true,
    width: 120,
    align: "left",
  },
  {
    label: "客户名称",
    prop: "cusName",
    tooltip: true,
    width: 155,
    align: "left",
  },
  {
    label: "对外合同号",
    prop: "externalConNum",
    tooltip: true,
    width: 110,
  },
  {
    label: "关联合同号",
    prop: "correlationContractCode",
    tooltip: true,
    width: 110,
  },
  {
    label: "供应商名称",
    prop: "venName",
    tooltip: true,
    width: 180,
    align: "left",
  },
  {
    label: "供方金额",
    prop: "vendorMoney",
    tooltip: true,
    align: "right",
  },
  {
    label: "发票类型",
    prop: "invoiceTypeName",
    tooltip: true,
  },
  {
    label: "本币金额",
    prop: "taxMoney",
    tooltip: true,
    align: "right",
  },
  {
    label: "原币金额",
    prop: "oriTaxMoney",
    tooltip: true,
    align: "right",
  },
  {
    label: "币种",
    prop: "currencyName",
    tooltip: true,
    width: 110,
  },
  {
    label: "汇率",
    prop: "exchangeRate",
    tooltip: true,
  },
  {
    label: "签订日期",
    prop: "singleDay",
    tooltip: true,
  },
  {
    label: "有效期起",
    prop: "beginDay",
    tooltip: true,
  },
  {
    label: "有效期止",
    prop: "endDay",
    tooltip: true,
  },
  {
    label: "创建日期",
    prop: "createDate",
    tooltip: true,
  },
  {
    label: "修改日期",
    prop: "updateDate",
    tooltip: true,
  },
];
const option = [
  {
    label: "字段名称(中文)",
    prop: "columnNameCN",
    tooltip: true,
  },
  {
    label: "字段名称",
    prop: "columnNameEN",
    tooltip: true,
  },
  {
    label: "宽度",
    prop: "showLength",
    tooltip: true,
    width: 80,
  },
  {
    label: "排序",
    prop: "isCanSort",
    tooltip: true,
    width: 65,
  },
  {
    label: "对其方式",
    prop: "align",
    tooltip: true,
  },
  // {
  //   label: "字段类型",
  //   prop: "columntype",
  //   tooltip: true,
  // },
  {
    label: "颜色",
    prop: "color",
    tooltip: true,
    width: 60,
  },
  {
    label: "操作",
    prop: "opeare",
    tooltip: true,
    width: 50,
  },
];


export default {
  searchModelJson,
  fucDataJson,
  tableColumnJson,
  option,
};
