/**
 * huyitong 2023-09-05
 * tag:"layOutChunk"首页模块
 * name:"左侧拖拽菜单显示名"
 * icon:“左侧拖拽菜单显示icon”
 * min：最小宽度
 * width:初始宽度
 * defaultWidth:默认宽度（还原默认用）
 * componentName:组件名（需去@/components/index.js提前注册）
 * alignCenter:是否居中
 */
const config = [
    // {
    //     name: "今日数据概览-普通员工",
    //     componentName: "employeeTodayData",
    //     width: 60,
    //     defaultWidth: 60,
    //     min: 10,
    //     icon: "el-icon-picture-outline-round",
    //     tag: "layOutChunk",
    //     alignCenter: false,
    // },
    {
        name: "任务预警",
        componentName: "taskWarning",
        width: 32,
        defaultWidth: 32,
        min: 10,
        icon: "el-icon-picture-outline-round",
        tag: "layOutChunk",
        alignCenter: false,
    },
    {
        name: "合同预警",
        componentName: "contractWarning",
        width: 32,
        defaultWidth: 32,
        min: 10,
        icon: "el-icon-picture-outline-round",
        tag: "layOutChunk",
        alignCenter: false,
    },
    {
        name: "待审工作",
        componentName: "agencyReviewWork",
        width: 32,
        defaultWidth: 32,
        min: 10,
        icon: "el-icon-picture-outline-round",
        tag: "layOutChunk",
        alignCenter: false,
    },
    {
        name: "项目预警",
        componentName: "projectWarning",
        width: 32,
        defaultWidth: 32,
        min: 10,
        icon: "el-icon-picture-outline-round",
        tag: "layOutChunk",
        alignCenter: false,
    },
    {
        name: "交接单未立项",
        componentName: "contractHandover",
        width: 16,
        defaultWidth: 16,
        min: 10,
        icon: "el-icon-picture-outline-round",
        tag: "layOutChunk",
        alignCenter: false,
    },
    {
        name: "本月任务数",
        componentName: "employeeMonthTask",
        width: 35,
        min: 10,
        defaultWidth: 35,
        icon: "el-icon-menu",
        tag: "layOutChunk",
        alignCenter: false,
    },
    {
        name: "本周任务",
        componentName: "employeeWeekTask",
        width: 60,
        min: 10,
        defaultWidth: 60,
        icon: "el-icon-s-cooperation",
        tag: "layOutChunk",
        alignCenter: false,
    },
    {
        name: "快捷操作区",
        componentName: "quickOperation",
        width: 35,
        min: 10,
        defaultWidth: 35,
        icon: "el-icon-s-cooperation",
        tag: "layOutChunk",
        alignCenter: false,
    },
    {
        name: "我的周计划",
        componentName: "weekPlan",
        width: 35,
        min: 10,
        defaultWidth: 35,
        icon: "el-icon-s-release",
        tag: "layOutChunk",
        alignCenter: false,
    },
    {
        name: "我的审批",
        componentName: "approval",
        width: 35,
        min: 10,
        defaultWidth: 35,
        icon: "el-icon-date",
        tag: "layOutChunk",
        alignCenter: false,
    },
    // {
    //     name: "今日数据概览-项目经理",
    //     componentName: "projectManagerTodayData",
    //     width: 60,
    //     defaultWidth: 60,
    //     min: 10,
    //     icon: "el-icon-s-check",
    //     tag: "layOutChunk",
    //     alignCenter: false,
    // },
    {
        name: "未处理问题",
        componentName: "projectManagerProblem",
        width: 35,
        min: 10,
        defaultWidth: 35,
        icon: "el-icon-s-claim",
        tag: "layOutChunk",
        alignCenter: false,
    },
    {
        name: "项目阶段预警",
        componentName: "projectManagerProjectWarning",
        width: 60,
        defaultWidth: 60,
        min: 10,
        icon: "el-icon-picture-outline-round",
        tag: "littleModule",
        alignCenter: false,
    },
    {
        name: "重点项目跟进",
        componentName: "keyProject",
        width: 60,
        defaultWidth: 60,
        min: 10,
        icon: "el-icon-picture-outline-round",
        tag: "littleModule",
        alignCenter: false,
    },
    // {
    //     name: "今日数据概览-业务员",
    //     componentName: "salesManTodayData",
    //     width: 60,
    //     defaultWidth: 60,
    //     min: 10,
    //     icon: "el-icon-picture-outline-round",
    //     tag: "littleModule",
    //     alignCenter: false,
    // },
    {
        name: "回款认领",
        componentName: "salesMamRefundClaim",
        width: 60,
        defaultWidth: 60,
        min: 10,
        icon: "el-icon-picture-outline-round",
        tag: "littleModule",
        alignCenter: false,
    },
    {
        name: "合同收款预警",
        componentName: "salesManCollectionWarning",
        width: 60,
        defaultWidth: 60,
        min: 10,
        icon: "el-icon-picture-outline-round",
        tag: "littleModule",
        alignCenter: false,
    },
    {
        name: "今日天气",
        componentName: "weatherChunk",
        width: 35,
        defaultWidth: 35,
        min: 10,
        icon: "el-icon-picture-outline-round",
        tag: "littleModule",
        alignCenter: false,
    },
];
export default {
    config,
};
