// 任务列表表头数据
const tableColumn = [
  {
    label: "项目名称",
    prop: "projectName",
    tooltip: true,
    width: "300px",
  },
  {
    label: "要求时间",
    prop: "createDate",
    tooltip: true,
    width: "120px",
  },
  {
    label: "任务所属人",
    prop: "personName",
    tooltip: true,
    width: "120px",
  },
  {
    label: "优先级",
    prop: "level",
    tooltip: true,
    width: "90px",
  },
  {
    label: "预计工时",
    prop: "hour",
    tooltip: true,
    width: "90px",
  },
  {
    label: "内容",
    prop: "content",
    tooltip: true,
  },
  {
    label: "下发人员",
    prop: "cPersonName",
    tooltip: true,
    width: "120px",
  },
];
//任务下发表单
const taskFormRow = [
  {
    elCol: [
      {
        label: "项目名称",
        prop: "projectID",
        tag: "elSelect",
        placeholder: "请选择项目",
        options: [],
      },
    ],
  },
  {
    elCol: [
      {
        label: "要求时间",
        prop: "overDate",
        tag: "elDatePicker",
        placeholder: "请点击选择时间",
      },
    ],
  },
  {
    elCol: [
      {
        label: "所需人员",
        prop: "personName",
        tag: "elDialog",
        placeholder: "请选择所属人员",
      },
    ],
  },
  {
    elCol: [
      {
        label: "",
        prop: "level",
        tag: "elRadio",
        options: [
          { label: "加急", value: 1 },
          { label: "优先", value: 2 },
          { label: "正常", value: 3 },
        ],
      },
    ],
  },
  {
    elCol: [
      {
        label: "预计工时",
        prop: "hour",
        tag: "elInput",
        placeholder: "请输入工作时长",
      },
    ],
  },
];
export default {
  tableColumn, //
  taskFormRow,
};
